Subject: Re: [Ntp] I-D Action: draft-aanchal-time-implementation-guidance-01.txt

From: Aanchal Malhotra <[email-masked]>
Date: Tue, 6 Nov 2018 03:08:43 -0500

Hi Dieter,

Thanks for the comments. Please see my response inline.

On Wed, Oct 31, 2018 at 3:09 PM Dieter Sibold <[email-masked]>
wrote:

> I appreciate the intention of this document and I think this can be a
> very valuable document. But from my point of view Sec. 5 and 6 currently
> are somewhat short for a real helpful guidance for implementors. The
> approach using relative time is interesting; but it misses to indicate
> the possibility to syntonize clocks.

In the draft we assume time synchronized systems.  We suggest using native
time as opposed to world time for implementing relative time values. Native
time is not adjusted for frequency drift. We do not consider or suggest
using syntonized time because it is subject to changes from external
sources and has similar problems as world time.

> Especially, I missed a discussion
> for the situation for using relative time in time synchronized systems.
> The reason is that it is  nearly unimaginable to operate computer
> systems unsynchronized. Usually, regulations such as ISO/IEC 27002
> enforce the need to synchronize your systems to an external time
> reference.
>

All the discussions in the draft assume time synchronized systems.

>
> Other comments:
>
> - Sec. 2, last paragraph. I would claim that e.g. ITU-R TF.686-3 define
> most of the terms used in this document.
>

Thanks for the reference. I will definitely look into it and borrow as much
as possible from it in terms of terminology.

>
> - Sec. 3.2, second paragraph: I would suggest to replace „rate of
> passage …“ with frequency or even better with the term „clock
> rate“
>

Sure!

>
> - Sec. 4. I don’t get the meaning of the first sentence. Is it
> possible to rephrase in order to make it easier to understand?
>

Now that you point out,  we are considering to get rid of this entire
paragraph here. It seems redundant to me now.

>
> - Sec. 5, last paragraph: an application may rely on timing over short
> and long time periods depending on the specific situation. So this is
> not only application but also depending upon the specific situation.
>

I see why this might be confusing. We propose something like,

" The choice of clock to be used is situation-specific. If a certain amount
of clock drift can be tolerated or if time intervals are short,
implementors may prefer to use the native clock. However, if precise timing
over long periods is required, then the implementors have no choice but to
fall back to world clock."

- Sec. 6.1 introduce the term „raw time“ without definition

Thanks for pointing this out! This para is a big typo. We will fix it in
the next update.

>
>
> Dieter
>
>
>
>
>
>
>
>
> On 22 Oct 2018, at 21:10, [email-masked] wrote:
>
> > A New Internet-Draft is available from the on-line Internet-Drafts
> > directories.
> > This draft is a work item of the Network Time Protocol WG of the IETF.
> >
> >         Title           : On Implementing Time
> >         Authors         : Aanchal Malhotra
> >                           Kristof Teichel
> >                           Martin Hoffmann
> >                           Willem Toorop
> >       Filename        : draft-aanchal-time-implementation-guidance-01.txt
> >       Pages           : 9
> >       Date            : 2018-10-22
> >
> > Abstract:
> >    This document describes the properties of different types of clocks
> >    available on digital systems.  It provides implementors of
> >    applications with guidance on choices they have to make when
> > working
> >    with time to provide basic functionality and security guarantees.
> >
> >
> > The IETF datatracker status page for this draft is:
> >
> https://datatracker.ietf.org/doc/draft-aanchal-time-implementation-guidance/
> >
> > There are also htmlized versions available at:
> >
> https://tools.ietf.org/html/draft-aanchal-time-implementation-guidance-01
> >
> https://datatracker.ietf.org/doc/html/draft-aanchal-time-implementation-guidance-01
> >
> > A diff from the previous version is available at:
> >
> https://www.ietf.org/rfcdiff?url2=draft-aanchal-time-implementation-guidance-01
> >
> >
> > Please note that it may take a couple of minutes from the time of
> > submission
> > until the htmlized version and diff are available at tools.ietf.org.
> >
> > Internet-Drafts are also available by anonymous FTP at:
> > ftp://ftp.ietf.org/internet-drafts/
> >
> > _______________________________________________
> > ntp mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/ntp
>
> _______________________________________________
> ntp mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ntp
>